path: /build/build/GD-dev-perl-2.660.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="fcgi gif jpeg png truetype xpm" emerge dev-perl/GD -pv -t && \
    USE="fcgi gif jpeg png truetype xpm" emerge -j ${JOBS} --nodeps dev-perl/GD
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/GD && luet-portage --dir /pkgdir/GD
    dev-perl/GD && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:1f159c95e5d4e5173323eefcc46a184a5e96e699969595777898a9bcfa01e84d
  package:
    name: GD
    version: 2.660.0
    category: dev-perl
    use_flags:
    - fcgi
    - gif
    - jpeg
    - png
    - truetype
    - xpm
    requires:
    - name: perl-ExtUtils-Constant
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Interface to Thomas Boutell's gd library
    uri:
    - https://metacpan.org/release/GD
    license: '|| ( Artistic GPL-1+ )'
    buildtimestamp: 2023-09-02 21:26:10.64142802 +0000 UTC m=+66.721672463
    labels:
      DEPEND: '>=media-libs/gd-2.2.3 png? ( media-libs/gd[png] media-libs/libpng:0
        sys-libs/zlib ) jpeg? ( media-libs/gd[jpeg] virtual/jpeg:0 ) truetype? ( media-libs/gd[truetype]
        media-libs/freetype:2 ) xpm? ( media-libs/gd[xpm] x11-libs/libXpm ) fcgi?
        ( dev-libs/fcgi ) gif? ( media-libs/giflib ) >=virtual/perl-ExtUtils-Constant-0.230.0
        dev-perl/ExtUtils-PkgConfig virtual/perl-ExtUtils-MakeMaker dev-lang/perl:='
      IUSE: animgif fcgi gif jpeg png truetype xpm examples
      RDEPEND: '>=media-libs/gd-2.2.3 png? ( media-libs/gd[png] media-libs/libpng:0
        sys-libs/zlib ) jpeg? ( media-libs/gd[jpeg] virtual/jpeg:0 ) truetype? ( media-libs/gd[truetype]
        media-libs/freetype:2 ) xpm? ( media-libs/gd[xpm] x11-libs/libXpm ) fcgi?
        ( dev-libs/fcgi ) gif? ( media-libs/giflib ) dev-lang/perl:='
      emerge.packages: dev-perl/GD
      kit: perl-kit
      original.package.name: dev-perl/GD
      original.package.slot: "0"
      original.package.version: 2.660.0
    treedir: /build/packages
  package_dir: /pkgdir/GD
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ca545c13e0475edd0cbb1fb4a033f8a576e3f8a48de2aebe8aa14b2c53f5e807
compressiontype: zstd
files:
- usr/bin/bdf2gdfont.pl
- usr/lib64/perl5/vendor_perl/5.32.0/x86_64-linux/GD/Group.pm
- usr/lib64/perl5/vendor_perl/5.32.0/x86_64-linux/GD/Image.pm
- usr/lib64/perl5/vendor_perl/5.32.0/x86_64-linux/GD/Polygon.pm
- usr/lib64/perl5/vendor_perl/5.32.0/x86_64-linux/GD/Polyline.pm
- usr/lib64/perl5/vendor_perl/5.32.0/x86_64-linux/GD/Simple.pm
- usr/lib64/perl5/vendor_perl/5.32.0/x86_64-linux/GD.pm
- usr/lib64/perl5/vendor_perl/5.32.0/x86_64-linux/auto/GD/.packlist
- usr/lib64/perl5/vendor_perl/5.32.0/x86_64-linux/auto/GD/GD.so
- usr/lib64/perl5/vendor_perl/5.32.0/x86_64-linux/auto/GD/autosplit.ix
- usr/share/doc/GD-2.660.0/ChangeLog.bz2
- usr/share/doc/GD-2.660.0/README.QUICKDRAW
- usr/share/doc/GD-2.660.0/README.bz2
- usr/share/man/man1/bdf2gdfont.pl.1.bz2
- var/db/pkg/dev-perl/GD-2.660.0/BUILD_TIME
- var/db/pkg/dev-perl/GD-2.660.0/CATEGORY
- var/db/pkg/dev-perl/GD-2.660.0/CBUILD
- var/db/pkg/dev-perl/GD-2.660.0/CFLAGS
- var/db/pkg/dev-perl/GD-2.660.0/CHOST
- var/db/pkg/dev-perl/GD-2.660.0/CONTENTS
- var/db/pkg/dev-perl/GD-2.660.0/COUNTER
- var/db/pkg/dev-perl/GD-2.660.0/CXXFLAGS
- var/db/pkg/dev-perl/GD-2.660.0/DEFINED_PHASES
- var/db/pkg/dev-perl/GD-2.660.0/DEPEND
- var/db/pkg/dev-perl/GD-2.660.0/DESCRIPTION
- var/db/pkg/dev-perl/GD-2.660.0/EAPI
- var/db/pkg/dev-perl/GD-2.660.0/FEATURES
- var/db/pkg/dev-perl/GD-2.660.0/GD-2.660.0.ebuild
- var/db/pkg/dev-perl/GD-2.660.0/HOMEPAGE
- var/db/pkg/dev-perl/GD-2.660.0/INHERITED
- var/db/pkg/dev-perl/GD-2.660.0/IUSE
- var/db/pkg/dev-perl/GD-2.660.0/IUSE_EFFECTIVE
- var/db/pkg/dev-perl/GD-2.660.0/KEYWORDS
- var/db/pkg/dev-perl/GD-2.660.0/LDFLAGS
- var/db/pkg/dev-perl/GD-2.660.0/LICENSE
- var/db/pkg/dev-perl/GD-2.660.0/NEEDED
- var/db/pkg/dev-perl/GD-2.660.0/PF
- var/db/pkg/dev-perl/GD-2.660.0/PROVIDES
- var/db/pkg/dev-perl/GD-2.660.0/RDEPEND
- var/db/pkg/dev-perl/GD-2.660.0/REQUIRES
- var/db/pkg/dev-perl/GD-2.660.0/SIZE
- var/db/pkg/dev-perl/GD-2.660.0/SLOT
- var/db/pkg/dev-perl/GD-2.660.0/USE
- var/db/pkg/dev-perl/GD-2.660.0/environment.bz2
- var/db/pkg/dev-perl/GD-2.660.0/repository
package_cacheimage: ""
runtime:
  name: GD
  version: 2.660.0
  category: dev-perl
  use_flags:
  - fcgi
  - gif
  - jpeg
  - png
  - truetype
  - xpm
  requires:
  - name: perl
    version: '>=0'
    category: dev-lang
  - name: fcgi
    version: '>=0'
    category: dev-libs
  - name: freetype
    version: '>=0'
    category: media-libs-2
  - name: gd
    version: '>=0'
    category: media-libs-2
  - name: giflib
    version: '>=0'
    category: media-libs
  - name: jpeg
    version: '>=0'
    category: virtual
  - name: libXpm
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Interface to Thomas Boutell's gd library
  uri:
  - https://metacpan.org/release/GD
  license: '|| ( Artistic GPL-1+ )'
  labels:
    DEPEND: '>=media-libs/gd-2.2.3 png? ( media-libs/gd[png] media-libs/libpng:0 sys-libs/zlib
      ) jpeg? ( media-libs/gd[jpeg] virtual/jpeg:0 ) truetype? ( media-libs/gd[truetype]
      media-libs/freetype:2 ) xpm? ( media-libs/gd[xpm] x11-libs/libXpm ) fcgi? (
      dev-libs/fcgi ) gif? ( media-libs/giflib ) >=virtual/perl-ExtUtils-Constant-0.230.0
      dev-perl/ExtUtils-PkgConfig virtual/perl-ExtUtils-MakeMaker dev-lang/perl:='
    IUSE: animgif fcgi gif jpeg png truetype xpm examples
    RDEPEND: '>=media-libs/gd-2.2.3 png? ( media-libs/gd[png] media-libs/libpng:0
      sys-libs/zlib ) jpeg? ( media-libs/gd[jpeg] virtual/jpeg:0 ) truetype? ( media-libs/gd[truetype]
      media-libs/freetype:2 ) xpm? ( media-libs/gd[xpm] x11-libs/libXpm ) fcgi? (
      dev-libs/fcgi ) gif? ( media-libs/giflib ) dev-lang/perl:='
    emerge.packages: dev-perl/GD
    kit: perl-kit
    original.package.name: dev-perl/GD
    original.package.slot: "0"
    original.package.version: 2.660.0
